aboutsummaryrefslogtreecommitdiffstats
path: root/plugins/chmodx
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/chmodx')
-rwxr-xr-xplugins/chmodx14
1 files changed, 14 insertions, 0 deletions
diff --git a/plugins/chmodx b/plugins/chmodx
new file mode 100755
index 0000000..1ad8467
--- /dev/null
+++ b/plugins/chmodx
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+
+# Description: Toggle executable status of hovered file
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ]; then
+ if [ -x "$1" ]; then
+ chmod -x "$1"
+ else
+ chmod +x "$1"
+ fi
+fi